Return a summary of the variables that will be migrated to Git
GET /api
Also reachable at /api.
Path Parameters
projectIdstring (required)
Id of the project to convert.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Confirmation that the requested Project Variables were converted to git
SensitiveVariableCountintegerTextVariableCountinteger
Example Response
{
"SensitiveVariableCount": 0,
"TextVariableCount": 0
}Convert all non-sensitive project variables to be stored in Git rather than the database
POST /api
Also reachable at /api.
Path Parameters
projectIdstring (required)spaceIdstring (required)
The ID of the space containing the resource(s).
Request Body
Branchstring (required)CommitMessagestring (required)
Minimum length 1.CreateBranchbooleanProjectIdstring (required)SpaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Empty response indicating the Project Variables were converted
Example Request
{
"Branch": "string",
"CommitMessage": "string",
"CreateBranch": true,
"ProjectId": "string",
"SpaceId": "string"
}Example Response
{}Get variables for a project
GET /api
Also reachable at /api.
Path Parameters
projectIdstring (required)
ID of the Project.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested Project Variable Set
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.OwnerIdstring
Gets or sets the ID of the document that owns these variables.ScopeValuesobjectActionsarray of objectChannelsarray of objectEnvironmentParametersarray of objectEnvironmentsarray of objectMachinesarray of objectProcessTemplateStepsarray of objectProcessesarray of objectRolesarray of objectTargetTagParametersarray of objectTenantTagParametersarray of objectTenantTagsarray of object
SpaceIdstringVariablesarray of object
Gets the collection of variables.DescriptionstringIdstringIsEditablebooleanIsSensitivebooleanNamestringPromptobjectScopeobjectTypestringValuestring
Versioninteger
Gets or sets the version number.
Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"OwnerId": "string",
"ScopeValues": {
"Actions": [
{
"Id": "string",
"Name": "string"
}
],
"Channels": [
{
"Id": "string",
"Name": "string"
}
],
"EnvironmentParameters": [
{
"Id": "string",
"Name": "string"
}
],
"Environments": [
{
"Id": "string",
"Name": "string"
}
],
"Machines": [
{
"Id": "string",
"Name": "string"
}
],
"ProcessTemplateSteps": [
{
"Id": "string",
"Name": "string"
}
],
"Processes": [
{
"Id": "string",
"Name": "string",
"ProcessType": "Deployment"
}
],
"Roles": [
{
"Id": "string",
"Name": "string"
}
],
"TargetTagParameters": [
{
"Id": "string",
"Name": "string"
}
],
"TenantTagParameters": [
{
"Id": "string",
"Name": "string"
}
],
"TenantTags": [
{
"Id": "string",
"Name": "string"
}
]
},
"SpaceId": "string",
"Variables": [
{
"Description": "string",
"Id": "string",
"IsEditable": true,
"IsSensitive": true,
"Name": "string",
"Prompt": {
"Description": "string",
"DisplaySettings": {},
"Label": "string",
"Required": true
},
"Scope": {
"Action": [
"string"
],
"Channel": [
"string"
],
"Environment": [
"string"
],
"EnvironmentParameter": [
"string"
],
"Machine": [
"string"
],
"ParentDeployment": [
"string"
],
"Private": [
"string"
],
"ProcessOwner": [
"string"
],
"ProcessTemplateStep": [
"string"
],
"Project": [
"string"
],
"ProjectTemplate": [
"string"
],
"Role": [
"string"
],
"TargetRole": [
"string"
],
"TargetTagParameter": [
"string"
],
"TemplatedProject": [
"string"
],
"Tenant": [
"string"
],
"TenantTag": [
"string"
],
"TenantTagParameter": [
"string"
],
"Trigger": [
"string"
],
"User": [
"string"
]
},
"Type": "string",
"Value": "string"
}
],
"Version": 0
}Modify variables for the project
PUT /api
Also reachable at /api.
Path Parameters
projectIdstring (required)spaceIdstring (required)
The ID of the space containing the resource(s).
Request Body
ChangeDescriptionstringProjectIdstring (required)ScopeValuesobject (required)Actionsarray of objectChannelsarray of objectEnvironmentParametersarray of objectEnvironmentsarray of objectMachinesarray of objectProcessTemplateStepsarray of objectProcessesarray of objectRolesarray of objectTargetTagParametersarray of objectTenantTagParametersarray of objectTenantTagsarray of object
SpaceIdstring (required)
The ID of the space containing the resource(s).Variablesarray of object (required)DescriptionstringIdstringIsEditablebooleanIsSensitivebooleanNamestringPromptobjectScopeobjectTypestringValuestring
Versioninteger
Response
200 — Confirms that a Project Variable Set has been modified
Example Request
{
"ChangeDescription": "string",
"ProjectId": "string",
"ScopeValues": {
"Actions": [
{
"Id": "string",
"Name": "string"
}
],
"Channels": [
{
"Id": "string",
"Name": "string"
}
],
"EnvironmentParameters": [
{
"Id": "string",
"Name": "string"
}
],
"Environments": [
{
"Id": "string",
"Name": "string"
}
],
"Machines": [
{
"Id": "string",
"Name": "string"
}
],
"ProcessTemplateSteps": [
{
"Id": "string",
"Name": "string"
}
],
"Processes": [
{
"Id": "string",
"Name": "string",
"ProcessType": "Deployment"
}
],
"Roles": [
{
"Id": "string",
"Name": "string"
}
],
"TargetTagParameters": [
{
"Id": "string",
"Name": "string"
}
],
"TenantTagParameters": [
{
"Id": "string",
"Name": "string"
}
],
"TenantTags": [
{
"Id": "string",
"Name": "string"
}
]
},
"SpaceId": "string",
"Variables": [
{
"Description": "string",
"Id": "string",
"IsEditable": true,
"IsSensitive": true,
"Name": "string",
"Prompt": {
"Description": "string",
"DisplaySettings": {},
"Label": "string",
"Required": true
},
"Scope": {
"Action": [
"string"
],
"Channel": [
"string"
],
"Environment": [
"string"
],
"EnvironmentParameter": [
"string"
],
"Machine": [
"string"
],
"ParentDeployment": [
"string"
],
"Private": [
"string"
],
"ProcessOwner": [
"string"
],
"ProcessTemplateStep": [
"string"
],
"Project": [
"string"
],
"ProjectTemplate": [
"string"
],
"Role": [
"string"
],
"TargetRole": [
"string"
],
"TargetTagParameter": [
"string"
],
"TemplatedProject": [
"string"
],
"Tenant": [
"string"
],
"TenantTag": [
"string"
],
"TenantTagParameter": [
"string"
],
"Trigger": [
"string"
],
"User": [
"string"
]
},
"Type": "string",
"Value": "string"
}
],
"Version": 0
}Example Response
{}Get variables for a project
GET /api
Also reachable at /api.
Path Parameters
gitRefstring (required)projectIdstring (required)
ID of the Project.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested Project Variable Set
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.OwnerIdstring
Gets or sets the ID of the document that owns these variables.ScopeValuesobjectActionsarray of objectChannelsarray of objectEnvironmentParametersarray of objectEnvironmentsarray of objectMachinesarray of objectProcessTemplateStepsarray of objectProcessesarray of objectRolesarray of objectTargetTagParametersarray of objectTenantTagParametersarray of objectTenantTagsarray of object
SpaceIdstringVariablesarray of object
Gets the collection of variables.DescriptionstringIdstringIsEditablebooleanIsSensitivebooleanNamestringPromptobjectScopeobjectTypestringValuestring
Versioninteger
Gets or sets the version number.
Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"OwnerId": "string",
"ScopeValues": {
"Actions": [
{
"Id": "string",
"Name": "string"
}
],
"Channels": [
{
"Id": "string",
"Name": "string"
}
],
"EnvironmentParameters": [
{
"Id": "string",
"Name": "string"
}
],
"Environments": [
{
"Id": "string",
"Name": "string"
}
],
"Machines": [
{
"Id": "string",
"Name": "string"
}
],
"ProcessTemplateSteps": [
{
"Id": "string",
"Name": "string"
}
],
"Processes": [
{
"Id": "string",
"Name": "string",
"ProcessType": "Deployment"
}
],
"Roles": [
{
"Id": "string",
"Name": "string"
}
],
"TargetTagParameters": [
{
"Id": "string",
"Name": "string"
}
],
"TenantTagParameters": [
{
"Id": "string",
"Name": "string"
}
],
"TenantTags": [
{
"Id": "string",
"Name": "string"
}
]
},
"SpaceId": "string",
"Variables": [
{
"Description": "string",
"Id": "string",
"IsEditable": true,
"IsSensitive": true,
"Name": "string",
"Prompt": {
"Description": "string",
"DisplaySettings": {},
"Label": "string",
"Required": true
},
"Scope": {
"Action": [
"string"
],
"Channel": [
"string"
],
"Environment": [
"string"
],
"EnvironmentParameter": [
"string"
],
"Machine": [
"string"
],
"ParentDeployment": [
"string"
],
"Private": [
"string"
],
"ProcessOwner": [
"string"
],
"ProcessTemplateStep": [
"string"
],
"Project": [
"string"
],
"ProjectTemplate": [
"string"
],
"Role": [
"string"
],
"TargetRole": [
"string"
],
"TargetTagParameter": [
"string"
],
"TemplatedProject": [
"string"
],
"Tenant": [
"string"
],
"TenantTag": [
"string"
],
"TenantTagParameter": [
"string"
],
"Trigger": [
"string"
],
"User": [
"string"
]
},
"Type": "string",
"Value": "string"
}
],
"Version": 0
}Modify variables for the project
PUT /api
Also reachable at /api.
Path Parameters
gitRefstring (required)projectIdstring (required)spaceIdstring (required)
The ID of the space containing the resource(s).
Request Body
ChangeDescriptionstringGitRefstring (required)ProjectIdstring (required)ScopeValuesobject (required)Actionsarray of objectChannelsarray of objectEnvironmentParametersarray of objectEnvironmentsarray of objectMachinesarray of objectProcessTemplateStepsarray of objectProcessesarray of objectRolesarray of objectTargetTagParametersarray of objectTenantTagParametersarray of objectTenantTagsarray of object
SpaceIdstring (required)
The ID of the space containing the resource(s).Variablesarray of object (required)DescriptionstringIdstringIsEditablebooleanIsSensitivebooleanNamestringPromptobjectScopeobjectTypestringValuestring
Versioninteger
Response
200 — Confirms that a Project Variable Set has been modified
Example Request
{
"ChangeDescription": "string",
"GitRef": "string",
"ProjectId": "string",
"ScopeValues": {
"Actions": [
{
"Id": "string",
"Name": "string"
}
],
"Channels": [
{
"Id": "string",
"Name": "string"
}
],
"EnvironmentParameters": [
{
"Id": "string",
"Name": "string"
}
],
"Environments": [
{
"Id": "string",
"Name": "string"
}
],
"Machines": [
{
"Id": "string",
"Name": "string"
}
],
"ProcessTemplateSteps": [
{
"Id": "string",
"Name": "string"
}
],
"Processes": [
{
"Id": "string",
"Name": "string",
"ProcessType": "Deployment"
}
],
"Roles": [
{
"Id": "string",
"Name": "string"
}
],
"TargetTagParameters": [
{
"Id": "string",
"Name": "string"
}
],
"TenantTagParameters": [
{
"Id": "string",
"Name": "string"
}
],
"TenantTags": [
{
"Id": "string",
"Name": "string"
}
]
},
"SpaceId": "string",
"Variables": [
{
"Description": "string",
"Id": "string",
"IsEditable": true,
"IsSensitive": true,
"Name": "string",
"Prompt": {
"Description": "string",
"DisplaySettings": {},
"Label": "string",
"Required": true
},
"Scope": {
"Action": [
"string"
],
"Channel": [
"string"
],
"Environment": [
"string"
],
"EnvironmentParameter": [
"string"
],
"Machine": [
"string"
],
"ParentDeployment": [
"string"
],
"Private": [
"string"
],
"ProcessOwner": [
"string"
],
"ProcessTemplateStep": [
"string"
],
"Project": [
"string"
],
"ProjectTemplate": [
"string"
],
"Role": [
"string"
],
"TargetRole": [
"string"
],
"TargetTagParameter": [
"string"
],
"TemplatedProject": [
"string"
],
"Tenant": [
"string"
],
"TenantTag": [
"string"
],
"TenantTagParameter": [
"string"
],
"Trigger": [
"string"
],
"User": [
"string"
]
},
"Type": "string",
"Value": "string"
}
],
"Version": 0
}Example Response
{}Get a list of Variable Sets
GET /api
Also reachable at /api, /api.
Lists all the Variable Sets in the supplied Space.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
idsarray of string
A list of Variable Set resource IDs used to filter a query.
Response
200 — The requested list of Variable Sets
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.OwnerIdstring
Gets or sets the ID of the document that owns these variables.ScopeValuesobjectActionsarray of objectChannelsarray of objectEnvironmentParametersarray of objectEnvironmentsarray of objectMachinesarray of objectProcessTemplateStepsarray of objectProcessesarray of objectRolesarray of objectTargetTagParametersarray of objectTenantTagParametersarray of objectTenantTagsarray of object
SpaceIdstringVariablesarray of object
Gets the collection of variables.DescriptionstringIdstringIsEditablebooleanIsSensitivebooleanNamestringPromptobjectScopeobjectTypestringValuestring
Versioninteger
Gets or sets the version number.
Example Response
[
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"OwnerId": "string",
"ScopeValues": {
"Actions": [
{}
],
"Channels": [
{}
],
"EnvironmentParameters": [
{}
],
"Environments": [
{}
],
"Machines": [
{}
],
"ProcessTemplateSteps": [
{}
],
"Processes": [
{}
],
"Roles": [
{}
],
"TargetTagParameters": [
{}
],
"TenantTagParameters": [
{}
],
"TenantTags": [
{}
]
},
"SpaceId": "string",
"Variables": [
{
"Description": "string",
"Id": "string",
"IsEditable": true,
"IsSensitive": true,
"Name": "string",
"Prompt": {},
"Scope": {},
"Type": "string",
"Value": "string"
}
],
"Version": 0
}
]Get a list of Variable names
GET /api
Also reachable at /api, /api.
List the names of variables that can be used in deployment actions. If a project is specified, this will include variables in that project. If a project environments filter is specified, project variables which are scoped to an unspecified environment will be excluded.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
gitRefstring
GitRef for the project variables.projectstring
ID of the Project.projectEnvironmentsFilterarray of string
ID of the Deployment Environments to filter on.runbookstring
ID of the Runbook.
Response
200 — The requested list of Variable names
Example Response
[
"string"
]Get a Variable Set preview
GET /api
Also reachable at /api, /api.
Lists the evaluated Variables for a deployment.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
actionstring
ID of the Action.channelstring
ID of the Channel.environmentstring
ID of the Deployment Environment.gitRefstring
GitRef for the project variables.machinestring
ID of the Machine.projectstring (required)
ID of the Project.rolestring
Name of the Role.runbookstring
ID of the Runbook.tenantstring
ID of the Tenant.
Response
200 — The requested Variable Set Preview
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.OwnerIdstring
Gets or sets the ID of the document that owns these variables.ScopeValuesobjectActionsarray of objectChannelsarray of objectEnvironmentParametersarray of objectEnvironmentsarray of objectMachinesarray of objectProcessTemplateStepsarray of objectProcessesarray of objectRolesarray of objectTargetTagParametersarray of objectTenantTagParametersarray of objectTenantTagsarray of object
SpaceIdstringVariablesarray of object
Gets the collection of variables.DescriptionstringIdstringIsEditablebooleanIsSensitivebooleanNamestringPromptobjectScopeobjectTypestringValuestring
Versioninteger
Gets or sets the version number.
Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"OwnerId": "string",
"ScopeValues": {
"Actions": [
{
"Id": "string",
"Name": "string"
}
],
"Channels": [
{
"Id": "string",
"Name": "string"
}
],
"EnvironmentParameters": [
{
"Id": "string",
"Name": "string"
}
],
"Environments": [
{
"Id": "string",
"Name": "string"
}
],
"Machines": [
{
"Id": "string",
"Name": "string"
}
],
"ProcessTemplateSteps": [
{
"Id": "string",
"Name": "string"
}
],
"Processes": [
{
"Id": "string",
"Name": "string",
"ProcessType": "Deployment"
}
],
"Roles": [
{
"Id": "string",
"Name": "string"
}
],
"TargetTagParameters": [
{
"Id": "string",
"Name": "string"
}
],
"TenantTagParameters": [
{
"Id": "string",
"Name": "string"
}
],
"TenantTags": [
{
"Id": "string",
"Name": "string"
}
]
},
"SpaceId": "string",
"Variables": [
{
"Description": "string",
"Id": "string",
"IsEditable": true,
"IsSensitive": true,
"Name": "string",
"Prompt": {
"Description": "string",
"DisplaySettings": {},
"Label": "string",
"Required": true
},
"Scope": {
"Action": [
"string"
],
"Channel": [
"string"
],
"Environment": [
"string"
],
"EnvironmentParameter": [
"string"
],
"Machine": [
"string"
],
"ParentDeployment": [
"string"
],
"Private": [
"string"
],
"ProcessOwner": [
"string"
],
"ProcessTemplateStep": [
"string"
],
"Project": [
"string"
],
"ProjectTemplate": [
"string"
],
"Role": [
"string"
],
"TargetRole": [
"string"
],
"TargetTagParameter": [
"string"
],
"TemplatedProject": [
"string"
],
"Tenant": [
"string"
],
"TenantTag": [
"string"
],
"TenantTagParameter": [
"string"
],
"Trigger": [
"string"
],
"User": [
"string"
]
},
"Type": "string",
"Value": "string"
}
],
"Version": 0
}Get a Variable Set by Id
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Variable Set.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested Variable Set
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.OwnerIdstring
Gets or sets the ID of the document that owns these variables.ScopeValuesobjectActionsarray of objectChannelsarray of objectEnvironmentParametersarray of objectEnvironmentsarray of objectMachinesarray of objectProcessTemplateStepsarray of objectProcessesarray of objectRolesarray of objectTargetTagParametersarray of objectTenantTagParametersarray of objectTenantTagsarray of object
SpaceIdstringVariablesarray of object
Gets the collection of variables.DescriptionstringIdstringIsEditablebooleanIsSensitivebooleanNamestringPromptobjectScopeobjectTypestringValuestring
Versioninteger
Gets or sets the version number.
Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"OwnerId": "string",
"ScopeValues": {
"Actions": [
{
"Id": "string",
"Name": "string"
}
],
"Channels": [
{
"Id": "string",
"Name": "string"
}
],
"EnvironmentParameters": [
{
"Id": "string",
"Name": "string"
}
],
"Environments": [
{
"Id": "string",
"Name": "string"
}
],
"Machines": [
{
"Id": "string",
"Name": "string"
}
],
"ProcessTemplateSteps": [
{
"Id": "string",
"Name": "string"
}
],
"Processes": [
{
"Id": "string",
"Name": "string",
"ProcessType": "Deployment"
}
],
"Roles": [
{
"Id": "string",
"Name": "string"
}
],
"TargetTagParameters": [
{
"Id": "string",
"Name": "string"
}
],
"TenantTagParameters": [
{
"Id": "string",
"Name": "string"
}
],
"TenantTags": [
{
"Id": "string",
"Name": "string"
}
]
},
"SpaceId": "string",
"Variables": [
{
"Description": "string",
"Id": "string",
"IsEditable": true,
"IsSensitive": true,
"Name": "string",
"Prompt": {
"Description": "string",
"DisplaySettings": {},
"Label": "string",
"Required": true
},
"Scope": {
"Action": [
"string"
],
"Channel": [
"string"
],
"Environment": [
"string"
],
"EnvironmentParameter": [
"string"
],
"Machine": [
"string"
],
"ParentDeployment": [
"string"
],
"Private": [
"string"
],
"ProcessOwner": [
"string"
],
"ProcessTemplateStep": [
"string"
],
"Project": [
"string"
],
"ProjectTemplate": [
"string"
],
"Role": [
"string"
],
"TargetRole": [
"string"
],
"TargetTagParameter": [
"string"
],
"TemplatedProject": [
"string"
],
"Tenant": [
"string"
],
"TenantTag": [
"string"
],
"TenantTagParameter": [
"string"
],
"Trigger": [
"string"
],
"User": [
"string"
]
},
"Type": "string",
"Value": "string"
}
],
"Version": 0
}Update a Variable Set
PUT /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
Gets or sets a unique identifier for this resource.spaceIdstring (required)
Request Body
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.OwnerIdstring
Gets or sets the ID of the document that owns these variables.ScopeValuesobjectActionsarray of objectChannelsarray of objectEnvironmentParametersarray of objectEnvironmentsarray of objectMachinesarray of objectProcessTemplateStepsarray of objectProcessesarray of objectRolesarray of objectTargetTagParametersarray of objectTenantTagParametersarray of objectTenantTagsarray of object
SpaceIdstringVariablesarray of object
Gets the collection of variables.DescriptionstringIdstringIsEditablebooleanIsSensitivebooleanNamestringPromptobjectScopeobjectTypestringValuestring
Versioninteger
Gets or sets the version number.
Response
200 — Confirms that a variable set has been modified, containing the updated variable set
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.OwnerIdstring
Gets or sets the ID of the document that owns these variables.ScopeValuesobjectActionsarray of objectChannelsarray of objectEnvironmentParametersarray of objectEnvironmentsarray of objectMachinesarray of objectProcessTemplateStepsarray of objectProcessesarray of objectRolesarray of objectTargetTagParametersarray of objectTenantTagParametersarray of objectTenantTagsarray of object
SpaceIdstringVariablesarray of object
Gets the collection of variables.DescriptionstringIdstringIsEditablebooleanIsSensitivebooleanNamestringPromptobjectScopeobjectTypestringValuestring
Versioninteger
Gets or sets the version number.
Example Request
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"OwnerId": "string",
"ScopeValues": {
"Actions": [
{
"Id": "string",
"Name": "string"
}
],
"Channels": [
{
"Id": "string",
"Name": "string"
}
],
"EnvironmentParameters": [
{
"Id": "string",
"Name": "string"
}
],
"Environments": [
{
"Id": "string",
"Name": "string"
}
],
"Machines": [
{
"Id": "string",
"Name": "string"
}
],
"ProcessTemplateSteps": [
{
"Id": "string",
"Name": "string"
}
],
"Processes": [
{
"Id": "string",
"Name": "string",
"ProcessType": "Deployment"
}
],
"Roles": [
{
"Id": "string",
"Name": "string"
}
],
"TargetTagParameters": [
{
"Id": "string",
"Name": "string"
}
],
"TenantTagParameters": [
{
"Id": "string",
"Name": "string"
}
],
"TenantTags": [
{
"Id": "string",
"Name": "string"
}
]
},
"SpaceId": "string",
"Variables": [
{
"Description": "string",
"Id": "string",
"IsEditable": true,
"IsSensitive": true,
"Name": "string",
"Prompt": {
"Description": "string",
"DisplaySettings": {},
"Label": "string",
"Required": true
},
"Scope": {
"Action": [
"string"
],
"Channel": [
"string"
],
"Environment": [
"string"
],
"EnvironmentParameter": [
"string"
],
"Machine": [
"string"
],
"ParentDeployment": [
"string"
],
"Private": [
"string"
],
"ProcessOwner": [
"string"
],
"ProcessTemplateStep": [
"string"
],
"Project": [
"string"
],
"ProjectTemplate": [
"string"
],
"Role": [
"string"
],
"TargetRole": [
"string"
],
"TargetTagParameter": [
"string"
],
"TemplatedProject": [
"string"
],
"Tenant": [
"string"
],
"TenantTag": [
"string"
],
"TenantTagParameter": [
"string"
],
"Trigger": [
"string"
],
"User": [
"string"
]
},
"Type": "string",
"Value": "string"
}
],
"Version": 0
}Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"OwnerId": "string",
"ScopeValues": {
"Actions": [
{
"Id": "string",
"Name": "string"
}
],
"Channels": [
{
"Id": "string",
"Name": "string"
}
],
"EnvironmentParameters": [
{
"Id": "string",
"Name": "string"
}
],
"Environments": [
{
"Id": "string",
"Name": "string"
}
],
"Machines": [
{
"Id": "string",
"Name": "string"
}
],
"ProcessTemplateSteps": [
{
"Id": "string",
"Name": "string"
}
],
"Processes": [
{
"Id": "string",
"Name": "string",
"ProcessType": "Deployment"
}
],
"Roles": [
{
"Id": "string",
"Name": "string"
}
],
"TargetTagParameters": [
{
"Id": "string",
"Name": "string"
}
],
"TenantTagParameters": [
{
"Id": "string",
"Name": "string"
}
],
"TenantTags": [
{
"Id": "string",
"Name": "string"
}
]
},
"SpaceId": "string",
"Variables": [
{
"Description": "string",
"Id": "string",
"IsEditable": true,
"IsSensitive": true,
"Name": "string",
"Prompt": {
"Description": "string",
"DisplaySettings": {},
"Label": "string",
"Required": true
},
"Scope": {
"Action": [
"string"
],
"Channel": [
"string"
],
"Environment": [
"string"
],
"EnvironmentParameter": [
"string"
],
"Machine": [
"string"
],
"ParentDeployment": [
"string"
],
"Private": [
"string"
],
"ProcessOwner": [
"string"
],
"ProcessTemplateStep": [
"string"
],
"Project": [
"string"
],
"ProjectTemplate": [
"string"
],
"Role": [
"string"
],
"TargetRole": [
"string"
],
"TargetTagParameter": [
"string"
],
"TemplatedProject": [
"string"
],
"Tenant": [
"string"
],
"TenantTag": [
"string"
],
"TenantTagParameter": [
"string"
],
"Trigger": [
"string"
],
"User": [
"string"
]
},
"Type": "string",
"Value": "string"
}
],
"Version": 0
}